classification
Title: Inconsistent README filenames
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, eric.araujo, ezio.melotti, georg.brandl, madison.may, mikehoy, pitrou, terry.reedy, tim.peters, tshepang
Priority: low Keywords: easy

Created on 2013-08-27 15:16 by madison.may, last changed 2018-03-01 21:23 by Mariatta. This issue is now closed.

Messages (7)
msg196299 - (view) Author: Madison May (madison.may) * Date: 2013-08-27 15:16
Is there any reason (other than backwards compatibility) that the names of README files are inconsistent?

README: 3 instances - root, /Mac, /Misc, /Tools
readme.txt: 2 instances - /PC, /PCbuild
README.txt: 1 instance - /Doc
msg196316 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-08-27 20:09
No reason really. We could standardize all of them on README.txt, perhaps.
msg196317 - (view) Author: Madison May (madison.may) * Date: 2013-08-27 20:42
It's obviously low priority, just thought I would mention it.  I found it a bit odd that "README" is used, though, since that means users will likely have to select the program they want to use to open the file (in Windows, at least).  

It might also be nice to follow the standard distutils idiom. From Éric Araujo on issue11913, 

"In packaging/distutils2, the recommended idiom looks like this (in setup.cfg):

    [metadata]
    description-file = README.whatever"

In other words, README.txt would work nicely.
msg196580 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2013-08-30 21:34
README.txt is also used in lib/idlelib and lib/idlelib/idle_test. In the latter case, I was told to use this.
msg198007 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-09-18 08:34
AFAIR renaming the lowercased versions might lead to trouble with hg on case-insensitive file systems. Anyone know if that's still the case?

Otherwise README.txt is fine.  Although, Windows users will then complain about the Unix-style line endings because the files will be opened with Notepad by default :|
msg213336 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-12 23:48
I’ve had co-workers get in trouble with file renames and case sensitivity on Mac OS X, but I’ve always been able to fix issues on Debian and tell them to hg pull --update.  I don’t remember if they had to create a new clone, or update to an older revision without the troublemaking files.

Anyhow, I don’t think this bug is important.  +0 for renaming the README to README.txt and configuring hgeol to make end-of-lines native.  That would solve the problem of a potential new contributor on Windows cloning the repo and not sure how to read the readme file at the repo root.  Changing the case of the readme.txt files would not solve any problem.
msg313112 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2018-03-01 21:23
Thanks. I'm going to reject this and to keep the readme files as is.
The consequence of renaming files, now that we are on GitHub, is that GitHub doesn't retain the complete file history.
So while on GitHub, clicking the file's "History" will only show the history of the file after the rename.
In addition, locally you need to do `git log --follow` to see the complete history.
I find that to be an inconvenience.
History
Date User Action Args
2018-03-01 21:23:19Mariattasetstatus: open -> closed

nosy: + Mariatta
messages: + msg313112

resolution: rejected
stage: needs patch -> resolved
2018-03-01 20:14:20cheryl.sabellasetversions: + Python 3.8, - Python 3.5
2014-09-27 15:02:55berker.peksagsetkeywords: + easy
stage: needs patch
versions: + Python 3.5, - Python 3.4
2014-03-12 23:48:22eric.araujosetmessages: + msg213336
2013-09-18 08:34:04georg.brandlsetnosy: + georg.brandl
messages: + msg198007
2013-09-18 02:31:18mikehoysetnosy: + mikehoy
2013-08-30 22:25:00tshepangsetnosy: + tshepang
2013-08-30 21:34:28terry.reedysetnosy: + terry.reedy
messages: + msg196580
2013-08-28 10:32:48ezio.melottisetnosy: + tim.peters, ezio.melotti, eric.araujo
type: enhancement
2013-08-27 20:42:52madison.maysetmessages: + msg196317
2013-08-27 20:09:29pitrousetpriority: normal -> low
versions: + Python 3.4
nosy: + pitrou

messages: + msg196316
2013-08-27 15:16:10madison.maycreate